> For the complete documentation index, see [llms.txt](https://docs.rocketfuel.inc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/exchange-payment/exchanges-listing.md).

# Exchanges listing

RKFL supports 'N' numbers of crypto exchanges. A merchant can configure which exchanges will display on his payment page.

This API accepts the merchant access token and shopper access token in headers. It returns the merchant's enabled exchanges list and a key "connected: true" if the logged-in shopper is already connected with the exchange.

In the below screenshot, the merchant "Hush Puppies" has enabled three exchanges (Coinbase, BinanceUs, and Kraken) to display on his page, and the logged-in shopper is not connected with any exchange.

![](/files/Utcnp1XcS8vTKZo7xSyY)

The screenshot below shows that the merchant "Woo Commerce Dev" has enabled four exchanges (OKcoin, Coinbase, Kraken, and Gemini) to display on his page, and the logged-in shopper is not connected with OKcoin.

![](/files/G6R8UwVBM4j2uhbp3K8P)

Once the shopper is connected to any exchange and provides permission, the RKFL remembers the connection and keeps him connected until the connection string is invalid or the shopper closes the connection.

<mark style="color:blue;">`GET`</mark> `exchanges/my`

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | "Bearer" + merchant access token |
| Content-Type                                    | String | application/json                 |
| X-Shopper-Key<mark style="color:red;">\*</mark> | String | "Bearer" + shopper access token  |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
  "ok": true,
  "result": {
    "exchanges": [
      {
        "name": "coinbase",
        "value": "coinbase",
        "stockId": "",
        "limit": 0,
        "supportedCurrencies": [
          
        ],
        "default": false,
        "priority": 1,
        "connected": false
      },
      {
        "name": "okcoin",
        "value": "okcoin",
        "stockId": "58b989dd-f1a2-4227-90cc-44c9dafb92a7",
        "limit": "1000",
        "supportedCurrencies": [
          "BTC",
          "LTC",
          "ETH",
          "XRP",
          "BCH",
          "USDC"
        ],
        "default": false,
        "priority": 0,
        "connected": true
      },
      {
        "name": "kraken",
        "value": "kraken",
        "stockId": "46f34b67-cdaa-4a21-8d77-3096105c54c8",
        "limit": "1000",
        "supportedCurrencies": [
          "BTC",
          "LTC",
          "ETH",
          "XRP",
          "BCH",
          "USDC"
        ],
        "default": false,
        "priority": 0,
        "connected": true
      },
      {
        "name": "gemini",
        "value": "gemini",
        "stockId": "",
        "limit": 0,
        "supportedCurrencies": [
          
        ],
        "default": false,
        "priority": 0,
        "connected": false
      }
    ],
    "defaultCurrency": "BTC"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/exchange-payment/exchanges-listing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
